// --- [ rs232.h ] ------------------------------------------------------------

#ifndef ONE_WIRE_
#define ONE_WIRE_



#define D1W_DDR		DDRB
#define D1W_PORT	PORTB
#define D1W_PIN		PINB
#define D1W_DQ		PINB1

#define D1W_READ_ROM				0x33

#define D1W_MATCH_ROM			0x55
#define D1W_SKIP_ROM			0xCC
#define D1W_CONVERT_T			0x44
#define D1W_READ_SCRATCHPAD		0xbe

 void d1w_init(void);
 void d1w_write(uint8_t data);
 uint8_t d1w_read(void);





#endif
// --- [ eof ] ----------------------------------------------------------------